> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/zapsign-api/espanol/documentos/update-document.md).

# Actualizar documento

Este endpoint permite actualizar los datos de un documento siempre y cuando aún esté en curso (es decir, no ha sido finalizado ni cancelado).

## Actualizar documento

<mark style="color:blue;">PUT</mark> `https://api.zapsign.com.br/api/v1/docs/{doc_token}/`

**Condiciones**

* El documento debe estar en estado "en curso".
* Solo se pueden modificar los campos indicados a continuación.

#### Path Parameters

<table><thead><tr><th width="173">Nombre</th><th width="130">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td>doc_token</td><td>string</td><td>Document token</td></tr></tbody></table>

#### Encabezado

<table><thead><tr><th width="150.788330078125">Nombre</th><th width="103">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>string</td><td>API token prefijo con la palabra "Bearer". Ex: Bearer c7f35c84-7893-4087-b4fb-d1f06c23</td></tr></tbody></table>

### Body

<table><thead><tr><th width="148.1527099609375">Campo</th><th width="149.8046875">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><code>name</code></td><td>string</td><td>Nuevo nombre del documento principal.</td></tr><tr><td><code>date_limit_to_sign</code></td><td>string (YYYY-MM-DD)</td><td>Nueva fecha límite para firmar el documento.</td></tr><tr><td><code>folder_path</code></td><td>string</td><td>Ruta de carpeta donde se organiza el documento en tu cuenta.</td></tr><tr><td><code>folder_token</code></td><td>string</td><td><p>Si se proporciona, este campo tendrá prioridad sobre <code>folder_path</code>. Define el directorio basado en el <strong>token de la carpeta</strong>, que se puede obtener accediendo a:<br><code>https://app.zapsign.com.br/conta/documentos?pasta=&#x3C;folder_token></code></p><p>Si aún no conoces el token, navega hasta la carpeta deseada a partir de:<br><code>https://app.zapsign.com.br/conta/documentos</code><br>y copia el valor del parámetro <code>pasta</code> en la URL después de abrir la carpeta.</p></td></tr><tr><td><code>extra_docs</code></td><td>array de objetos</td><td>Lista de documentos extra asociados que se pueden renombrar.</td></tr></tbody></table>

#### Estructura de extra\_docs

<table><thead><tr><th width="114.45953369140625">Campo</th><th width="121.09307861328125">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><code>token</code></td><td>string</td><td>Token del documento extra previamente subido.</td></tr><tr><td><code>name</code></td><td>string</td><td>Nuevo nombre para ese documento extra.</td></tr></tbody></table>

### Body de ejemplo

```json
{
    "name": "Contrato de Servicios 2026",
    "date_limit_to_sign": "2025-06-26",
    "folder_path": "/Contratos/2026/Enero/",
    "extra_docs": [
        {
            "token": "token_del_documento_extra",
            "name": "Nuevo nombre documento extra"
        }
    ]
}
```

{% tabs %}
{% tab title="200 Exitoso." %}

```javascript
{
    "Documento actualizado correctamente"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zapsign.com.br/zapsign-api/espanol/documentos/update-document.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
